Description

Currently, quoted text in Redmine is rendered with the blockquote element which is styled to be a grey vertical bar.

On the second and onward levels, the indentation of quotes equals the width of the bar plus some padding to the right.

Only on the first level, there is some additional margin to the left indenting the entire quote block even more. I find quotes to be more

readable and more visually appealing if this margin was removed. Hence this patch.

How it looks now:

 blockquotes_before.png 

How it will look with the patch:

 blockquotes_after.png 

The patch will also apply this to HTML in notification emails.

Associated revisions

Revision 16417 - 2017-03-18 09:39 - Jean-Philippe Lang

Remove initial indentation of blockquotes for better readability (#25320).

Patch by Jan Schulz-Hofen.

History

#1 - 2017-03-14 08:12 - Go MAEDA

I think that source:trunk/app/views/layouts/mailer.html.erb@16087#L28 should be updated if the proposed patch is merged.

#2 - 2017-03-14 08:53 - Marius BĂLTEANU

The proposed change looks good to me.

#3 - 2017-03-14 09:19 - Go MAEDA

Go MAEDA wrote:

I think that source:trunk/app/views/layouts/mailer.html.erb@16087#L28 should be updated if the proposed patch is merged.

 Sorry, the patch also updates mailer.html.erb. I missed it.

#4 - 2017-03-14 09:22 - Jan from Planio www.plan.io

- File 0001-Remove-initial-indentation-for-block-quotes.patch added

Thanks for your feedback, Go and Marius.

Sadly, I overlooked RTL support. Here's an updated patch including the proposed change for RTL writing systems, e.g. Arabic.

#5 - 2017-03-14 09:22 - Jan from Planio www.plan.io

- File deleted (0001-Remove-initial-indentation-for-block-quotes.patch)

#6 - 2017-03-14 19:43 - Jean-Philippe Lang

Sounds good to me.
#7 - 2017-03-15 01:48 - Go MAEDA

- Status changed from Needs feedback to New

- Target version changed from Candidate for next minor release to 3.4.0

Jean-Philippe Lang wrote:

Sounds good to me.

 Setting target version to 3.4.0.

#8 - 2017-03-18 09:39 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Committed, thanks.

#9 - 2017-07-05 22:26 - JP Vossen

I disagree on this one.  I prefer the indentation, which I think makes the quote stand out more. Any chance of making this optional?

#10 - 2017-07-05 23:16 - Mischa The Evil

JP Vossen wrote:

[...] Any chance of making this optional?

 I don't think so. However, as this change consists of (mostly) theme-able CSS, it should be pretty easy to modify your theme to re-add the indentation.

#11 - 2017-07-06 13:19 - budo kaiman

I'll +1 this, I think the change looks much better.
